Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009294Dwarf FortressDwarf Mode -- Interface, Squad Schedulepublic2015-12-09 19:472015-12-27 16:59
ReporterPDF Urist Master 
Assigned ToToady One 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.42.02 
Target VersionFixed in Version0.42.05 
Summary0009294: Sparring is bugged, Sparring Reports don't show up and Dwarves don't gain skill from sparring
DescriptionSparring activity color is different from previous versions (yellow instead of cyan), Sparring doesn't doesn't generate any sparring reports and sparring doesn't cause skill increases. This leads to extremely slow training, Dwarves will often stay at the same skill level for years.
Steps To ReproduceCreate a squad and assign them to active/training.

Get a barracks for them to train in.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0009321resolvedDwarfu Sparring results do not show up in reports screen 

-  Notes
(0033705)
Talvieno (reporter)
2015-12-09 21:04

I've only noticed that they don't spar.
(0033725)
Talvieno (reporter)
2015-12-10 09:48
edited on: 2015-12-10 09:51

After closer inspection, they [do] spar - the spar reports just don't show up anymore, as PDF said. I'm not noticing slower training, though.

(0033733)
Hedede (reporter)
2015-12-10 12:05

For me, only *some* reports show up. It looks like sparring reports show up only for mercenaries, and not for my own dwarfs.
(0033735)
Detros (manager)
2015-12-10 12:12

Sounds like a job for some init file or ingame menu: "show no/some/all sparring reports".
(0033751)
Gentlefood (reporter)
2015-12-10 17:07

Sparring doesn't show up, but I can confirm they do gain skill from it. The bug seems specific to sparring however, any other form of combat, even during sparring, shows up. (Ie: Danger Rooms)
(0033961)
moonshadow101 (reporter)
2015-12-16 13:29
edited on: 2015-12-17 09:43

I fairly certain that no actual sparring is occurring. In past versions, Dwarves would move around when sparring, (largely as a result of dodges and charges) as if engaged in actual combat. In 42.XX, they simply stand next to eachother. I'm quite certain that no sparring is occuring. As a result of this, not only do skills rise slowly, but there is no physical improvement whatsoever, as physical improvement is entirely the result of sparring.

Skill gains do occur as a result of other activities, particularly Individual Drills, which were buffed in 40.XX.

(0034017)
SpaceDingo (reporter)
2015-12-18 12:31

Is this still an issue in 42.03? I have a fortress where sparring is working correctly that I can upload if needed.
(0034018)
Kon (reporter)
2015-12-18 12:49

I get sparring messages for a Goblin Hammer Lord mercenary, but not for any of the other members of my military.
(0034032)
m-logik (reporter)
2015-12-18 16:46

I'm still seeing this in .42.03. No reports being generated for dwarves, and they stand still instead of moving around as in previous versions. It may be of interest that dwarves reporting a 'Spar' job are not gaining observer skill either, with those that already had it going Rusty despite frequently claiming to spar. I'm also not seeing any noticeable skill gains when 'Spar' jobs are reported, though I'm not using any utility to monitor their skills.
(0034048)
SpaceDingo (reporter)
2015-12-19 08:54

I uploaded a save to DFFD where my reports are showing up correctly. I've had the same issue across other embarks so I'm not sure what's different now but maybe it can help.
(0034057)
Detros (manager)
2015-12-19 14:20

SpaceDingo's uploaded file "sparring is working for me here": http://dffd.bay12games.com/file.php?id=11518 [^]
(0034187)
newtrackername (reporter)
2015-12-25 07:50
edited on: 2015-12-25 09:08

I have uploaded a save where sparring isn't working here: http://dffd.bay12games.com/file.php?id=11552 [^]

I have tried changing the Equipment Settings, changing schedule Settings and assigning a new barracks but None of it made a difference: Dwarves were still only standing next to each other without actually sparring, while their Job description read "spar". No combat reports were generated.

On the same machine and Settings, the uploaded file by SpaceDingo worked fine.

edit: I generated a pocket world fort that has this bug and uploaded the save to the above link instead. Much less chaotic than the earlier fort i uploaded :)


- Issue History
Date Modified Username Field Change
2015-12-09 19:47 PDF Urist Master New Issue
2015-12-09 21:04 Talvieno Note Added: 0033705
2015-12-10 09:48 Talvieno Note Added: 0033725
2015-12-10 09:51 Talvieno Note Edited: 0033725 View Revisions
2015-12-10 11:12 Hedede Issue Monitored: Hedede
2015-12-10 12:05 Hedede Note Added: 0033733
2015-12-10 12:12 Detros Note Added: 0033735
2015-12-10 17:07 Gentlefood Note Added: 0033751
2015-12-12 19:43 BenLubar Issue Monitored: BenLubar
2015-12-12 21:11 Talvieno Issue Monitored: Talvieno
2015-12-13 07:20 Dwarfu Relationship added parent of 0009310
2015-12-13 07:21 Dwarfu Assigned To => Dwarfu
2015-12-13 07:21 Dwarfu Status new => confirmed
2015-12-16 13:29 moonshadow101 Note Added: 0033961
2015-12-16 15:05 Dwarfu Relationship added has duplicate 0009321
2015-12-17 09:43 moonshadow101 Note Edited: 0033961 View Revisions
2015-12-18 12:07 SpaceDingo Issue Monitored: SpaceDingo
2015-12-18 12:07 SpaceDingo Issue End Monitor: SpaceDingo
2015-12-18 12:31 SpaceDingo Note Added: 0034017
2015-12-18 12:31 SpaceDingo Issue Monitored: SpaceDingo
2015-12-18 12:49 Kon Note Added: 0034018
2015-12-18 16:46 m-logik Note Added: 0034032
2015-12-19 08:54 SpaceDingo Note Added: 0034048
2015-12-19 14:20 Detros Note Added: 0034057
2015-12-25 07:50 newtrackername Note Added: 0034187
2015-12-25 07:51 newtrackername Note Edited: 0034187 View Revisions
2015-12-25 09:08 newtrackername Note Edited: 0034187 View Revisions
2015-12-26 08:35 braiam Issue Monitored: braiam
2015-12-27 12:31 flashfire Issue Monitored: flashfire
2015-12-27 16:58 Toady One Relationship deleted parent of 0009310
2015-12-27 16:59 Toady One Status confirmed => resolved
2015-12-27 16:59 Toady One Fixed in Version => Next Version
2015-12-27 16:59 Toady One Resolution open => fixed
2015-12-27 16:59 Toady One Assigned To Dwarfu => Toady One
2015-12-28 07:19 Talvieno Issue End Monitor: Talvieno
2016-01-20 05:33 braiam Issue End Monitor: braiam
2016-03-07 04:54 Hedede Issue End Monitor: Hedede


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker